# libalsa

The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI functionality to the Linux operating system.

ALSA has the following significant features:
- efficient support for all types of audio interfaces, from consumer soundcards to professional multichannel audio interfaces
- fully modularized sound drivers
- SMP and thread-safe design
- user space library (alsa-lib) to simplify application programming and provide higher level functionality
- support for the older OSS API, providing binary compatibility for most OSS programs

